package test.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/receiveurldata")
public class ReceiveURLData extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//受信するデータの文字コードを設定する
		req.setCharacterEncoding("utf-8");
		
		String type = req.getParameter("type");

		//クライアントへの出力準備をする
		resp.setContentType("text/html;charset=utf-8");
		PrintWriter pw = resp.getWriter();
		
		//取得したタイプに応じて表示する
		String message = "";
		switch(type) {
			case "vehicle":
				message = "私は飛行機で向かいます。";
				break;
			case "fruits":
				message = "私はバナナが好きです。";
				break;
			case "travel":
				message = "私はセブ島に行きたいです。";
				break;
			default:
				message = "パラメーターが不正です。";
				break;
		}
		
		//クライアントにHTMLタグを書き出し
		pw.println("<html>");
		pw.println("<head>");
		pw.println("<title>選択結果</title>");
		pw.println("</head>");
		pw.println("<body>");
		pw.println(message);
		pw.println("  <br><a href='sendurldata'>選択ページへ</a>");
		pw.println("</body>");
		pw.println("</html>");
	}

}
